/*
 * Class LIST [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1843 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1843 [] = {0xFF01,1551,1842,848,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1843 [] = {0xFF01,1842,848,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1843 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1843 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1843 [] = {0xFF01,1842,848,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1843 [] = {0xFF01,1842,848,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1843 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1843 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1843 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1843 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1843 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1843 [] = {1842,848,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1843 [] = {0xFF01,1842,848,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1843 [] = {0xFF01,1824,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1843 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1843 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1843 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1843 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1843 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1843 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1843 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1843 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1843 [] = {0xFF01,1819,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1843 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1843 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1843 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1843 [] = {0xFF01,1842,848,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1843 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1843[] = {
	{EIF_GENERIC(NULL), 12475, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1843), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1843), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12476, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1843), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1843), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1843), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1843), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1843), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1843), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1843), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1843), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1843), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1843), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1843), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1843), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8634, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8635, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8637, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1843), 8850, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1843), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1843), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9280, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9281, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9089, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12172, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8965, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12175, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1843), 8843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8844, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12477, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12178, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1843), 12173, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1843), 12176, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12181, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1843), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12184, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12177, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8846, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8847, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8848, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1843), 12173, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1843), 12174, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12181, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12187, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12187, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9284, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9285, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9286, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1843), 11016, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1843), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12478, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8841, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9282, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12188, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1843), 12169, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1843), 12170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12179, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12180, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12182, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12185, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12186, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12166, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1843), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8840, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8839, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8842, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8842, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12175, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1843), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1843(void)
{
	IDSC(desc_1843, 0, 1842);
	IDSC(desc_1843 + 1, 1, 1842);
	IDSC(desc_1843 + 32, 1134, 1842);
	IDSC(desc_1843 + 41, 1060, 1842);
	IDSC(desc_1843 + 47, 1444, 1842);
	IDSC(desc_1843 + 56, 1570, 1842);
	IDSC(desc_1843 + 59, 1534, 1842);
	IDSC(desc_1843 + 66, 916, 1842);
	IDSC(desc_1843 + 72, 1135, 1842);
	IDSC(desc_1843 + 81, 1088, 1842);
	IDSC(desc_1843 + 83, 1245, 1842);
	IDSC(desc_1843 + 86, 387, 1842);
	IDSC(desc_1843 + 88, 636, 1842);
	IDSC(desc_1843 + 102, 778, 1842);
	IDSC(desc_1843 + 103, 254, 1842);
	IDSC(desc_1843 + 106, 554, 1842);
	IDSC(desc_1843 + 107, 878, 1842);
	IDSC(desc_1843 + 108, 794, 1842);
}


#ifdef __cplusplus
}
#endif
